#import "queries/ProtectedDirectoryUserListFragment.graphql"

query VirtualDirectoryProtectionUserList(
    $domainId: ID!,
    $path: String!,
    $input: ProtectedDirectoryUserListInput,
) {
    domain: node(id: $domainId) {
        ... on Domain {
            id  
            hosting {
                virtualDirectory(path: $path) {
                    key
                    protectedDirectory {
                        id
                        users(input: $input) {
                            ...ProtectedDirectoryUserListFragment
                        }
                    }
                }
            }
        }
    }
}
